# H501_AccessToken Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_token, e_cryptoToken, e_genericData }

## Public Member Functions

| H501_AccessToken (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H235_ClearToken & ()
| operator const H235_ClearToken & () const
| operator H225_CryptoH323Token & ()
| operator const H225_CryptoH323Token & () const
| operator H225_GenericData & ()
| operator const H225_GenericData & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_AccessToken::Choices

Enumerator:

  e_token |
  e_cryptoToken |
  e_genericData |

## Constructor & Destructor Documentation

H501_AccessToken::H501_AccessToken | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H501_AccessToken::operator H235_ClearToken & | ( |  | ) |

H501_AccessToken::operator const H235_ClearToken & | ( |  | ) | const

H501_AccessToken::operator H225_CryptoH323Token & | ( |  | ) |

H501_AccessToken::operator const H225_CryptoH323Token & | ( |  | ) | const

H501_AccessToken::operator H225_GenericData & | ( |  | ) |

H501_AccessToken::operator const H225_GenericData & | ( |  | ) | const

PBoolean H501_AccessToken::CreateObject | ( |  | ) |

PObject* H501_AccessToken::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h